# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Class-C3-XS
Version:	0.15
Release:	10.%{__distinit}%{__distvers}
Summary:	XS speedups for Class::C3
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Class-C3-XS
Source0:	https://cpan.metacpan.org/modules/by-module/Class/Class-C3-XS-%{version}.tar.gz
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	perl-devel
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
BuildRequires:	perl(XSLoader)
# Test Suite
BuildRequires:	perl(base)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(Test::More)
# Optional Tests
BuildRequires:	perl(CPAN::Meta) >= 2.120900
BuildRequires:	perl(Sub::Name)
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

# Avoid provides from private shared objects
%{?perl_default_filter}

%description
This contains XS performance enhancers for Class::C3 version 0.16 and
higher. The main Class::C3 package will use this package automatically if
it can find it. Do not use this package directly, use Class::C3 instead.

%prep
%setup -q -n Class-C3-XS-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENCE
%doc Changes CONTRIBUTING README
%{perl_vendorarch}/auto/Class/
%{perl_vendorarch}/Class/
%{_mandir}/man3/Class::C3::XS.3*

%changelog
* Fri Mar 10 2023 Paul Howarth <paul@city-fan.org> - 0.15-10
- Use SPDX-format license tag

* Wed Jun  1 2022 Paul Howarth <paul@city-fan.org> - 0.15-8
- Perl 5.36 rebuild

* Sat May 22 2021 Paul Howarth <paul@city-fan.org> - 0.15-5
- Perl 5.34 rebuild

* Fri Jun 26 2020 Paul Howarth <paul@city-fan.org> - 0.15-2
- Perl 5.32 rebuild

* Thu Apr  9 2020 Paul Howarth <paul@city-fan.org> - 0.15-1
- Update to 0.15
  - Minor distribution tooling updates

* Sat Jun  1 2019 Paul Howarth <paul@city-fan.org> - 0.14-10
- Perl 5.30 rebuild

* Thu Jun 28 2018 Paul Howarth <paul@city-fan.org> - 0.14-7
- Perl 5.28 rebuild

* Tue Aug  8 2017 Paul Howarth <paul@city-fan.org> - 0.14-5
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl

* Sun Jun  4 2017 Paul Howarth <paul@city-fan.org> - 0.14-3
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - BR: perl-devel unconditionally

* Sun Aug  7 2016 Paul Howarth <paul@city-fan.org> - 0.14-1
- Update to 0.14
  - Fix naming of test packages, now that . is no longer in @INC while base.pm
    is running (CPAN RT#116566, Perl RT#128769)
- This release by ETHER → update source URL
- Package new upstream LICENCE file

* Thu Aug  4 2016 Paul Howarth <paul@city-fan.org> - 0.13-22
- Avoid relying on . being in @INC (CPAN RT#116566)
- BR: perl-generators where available
- Simplify find commands using -empty and -delete

* Thu Jan 28 2016 Paul Howarth <paul@city-fan.org> - 0.13-19
- Spec clean-up
  - Classify buildreqs by usage
  - Don't ship the tests
  - Drop provides/requires filters as they're no longer needed
  - Explicitly BR: perl-devel, needed for EXTERN.h

* Fri Aug 29 2014 Paul Howarth <paul@city-fan.org> - 0.13-16
- Drop %%defattr, redundant since rpm 4.4

* Mon Jul 22 2013 Paul Howarth <paul@city-fan.org> - 0.13-12
- Perl 5.18 rebuild

* Mon Jun 18 2012 Paul Howarth <paul@city-fan.org> - 0.13-9
- BR: perl(Cwd), perl(File::Path) and perl(XSLoader)
- Update requires/provides filters for rpm 4.9 compatibility
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorarch}
  - Use DESTDIR rather than PERL_INSTALL_ROOT
  - Drop rpath hack
  - Use %%{_fixperms} macro rather than our own chmod incantation

* Wed Jun 22 2011 Paul Howarth <paul@city-fan.org> - 0.13-5
- Rebuild for perl 5.14.1 in Rawhide
- Tweak requires/provides filter to be less obtuse
- Remove rpaths on ancient distributions
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 0.13-4
- Rebuild for perl 5.12.1 in Rawhide

* Tue May 11 2010 Paul Howarth <paul@city-fan.org> - 0.13-3
- Fix dist tag for RHEL-6 Beta

* Wed Mar  3 2010 Paul Howarth <paul@city-fan.org> - 0.13-2
- Dist tag for Rawhide no longer needs special-casing

* Thu Sep 24 2009 Paul Howarth <paul@city-fan.org> - 0.13-1
- Update to 0.13 (backport performance tweaks from bleadperl)

* Tue Aug 11 2009 Paul Howarth <paul@city-fan.org> - 0.11-3
- Import from Fedora

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr 02 2009 Chris Weyl <cweyl@alumni.drew.edu> - 0.11-1
- Update to 0.11

* Sat Feb 28 2009 Chris Weyl <cweyl@alumni.drew.edu> - 0.08-6
- Strip bad provides of private Perl extension libs

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.08-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Mar  4 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.08-4
- Rebuild for new perl

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.08-3
- Autorebuild for GCC 4.3

* Tue Aug 21 2007 Chris Weyl <cweyl@alumni.drew.edu> - 0.08-2
- Bump

* Thu Aug 09 2007 Chris Weyl <cweyl@alumni.drew.edu> - 0.08-1
- Update to 0.08

* Thu May 31 2007 Chris Weyl <cweyl@alumni.drew.edu> - 0.06-1
- Update to 0.06

* Sun May 13 2007 Chris Weyl <cweyl@alumni.drew.edu> - 0.04-1
- Update to 0.04

* Wed May 09 2007 Chris Weyl <cweyl@alumni.drew.edu> - 0.03-2
- Bump

* Wed May 09 2007 Chris Weyl <cweyl@alumni.drew.edu> - 0.03-1
- Update to 0.03

* Fri May 04 2007 Chris Weyl <cweyl@alumni.drew.edu> - 0.02-1
- Specfile autogenerated by cpanspec 1.71
